Bug 1295159 - PATA Bug in pata_atiixp
PATA Bug in pata_atiixp
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-02 21:32 EST by Michael Maier
Modified: 2016-12-20 12:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:33:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Maier 2016-01-02 21:32:20 EST
Description of problem:

After an upgrade to fedora 23 from fedora 22 on a server with Supermicro H8DGU-F mainboard PATA seems to be broken.

[root@root06 ~]# lsmod|grep pata
pata_acpi              16384  0
pata_atiixp            16384  0

[root@root06 ~]# dmesg -T|grep -i 'pata'
[Sat Jan  2 00:37:57 2016] pata_atiixp: probe of 0000:00:14.1 failed with error -22

Version-Release number of selected component (if applicable):

# uname -r
4.2.8-300.fc23.x86_64


Actual results:

# dmesg -T
[Sat Jan  2 00:37:54 2016] libata version 3.00 loaded.
[Sat Jan  2 00:37:56 2016] ata1: SATA max UDMA/133 abar m1024@0xfeafa400 port 0xfeafa500 irq 22
[Sat Jan  2 00:37:56 2016] ata2: SATA max UDMA/133 abar m1024@0xfeafa400 port 0xfeafa580 irq 22
[Sat Jan  2 00:37:56 2016] ata3: SATA max UDMA/133 abar m1024@0xfeafa400 port 0xfeafa600 irq 22
[Sat Jan  2 00:37:56 2016] ata4: SATA max UDMA/133 abar m1024@0xfeafa400 port 0xfeafa680 irq 22
[Sat Jan  2 00:37:56 2016] ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[Sat Jan  2 00:37:56 2016] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[Sat Jan  2 00:37:56 2016] ata4: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[Sat Jan  2 00:37:56 2016] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[Sat Jan  2 00:37:56 2016] ata2.00: ATA-8: Hitachi HDS721010CLA332, JP4OA3MA, max UDMA/133
[Sat Jan  2 00:37:56 2016] ata2.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[Sat Jan  2 00:37:56 2016] ata1.00: ATA-8: Hitachi HDS721010CLA332, JP4OA3MA, max UDMA/133
[Sat Jan  2 00:37:56 2016] ata1.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[Sat Jan  2 00:37:56 2016] ata4.00: ATA-8: Hitachi HDS721010CLA332, JP4OA3MA, max UDMA/133
[Sat Jan  2 00:37:56 2016] ata4.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[Sat Jan  2 00:37:56 2016] ata3.00: ATA-8: Hitachi HDS721010CLA332, JP4OA3MA, max UDMA/133
[Sat Jan  2 00:37:56 2016] ata3.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[Sat Jan  2 00:37:56 2016] ata2.00: configured for UDMA/133
[Sat Jan  2 00:37:56 2016] ata1.00: configured for UDMA/133
[Sat Jan  2 00:37:56 2016] ata4.00: configured for UDMA/133
[Sat Jan  2 00:37:56 2016] ata3.00: configured for UDMA/133
[Sat Jan  2 00:37:56 2016] Write protecting the kernel read-only data: 12288k
[Sat Jan  2 00:37:57 2016] pata_atiixp: probe of 0000:00:14.1 failed with error -22

Expected results:

[Sun Jan  3 03:10:43 2016] libata version 3.00 loaded.
[Sun Jan  3 03:10:45 2016] ata1: SATA max UDMA/133 abar m1024@0xfeafa400 port 0xfeafa500 irq 22
[Sun Jan  3 03:10:45 2016] ata2: SATA max UDMA/133 abar m1024@0xfeafa400 port 0xfeafa580 irq 22
[Sun Jan  3 03:10:45 2016] ata3: SATA max UDMA/133 abar m1024@0xfeafa400 port 0xfeafa600 irq 22
[Sun Jan  3 03:10:45 2016] ata4: SATA max UDMA/133 abar m1024@0xfeafa400 port 0xfeafa680 irq 22
[Sun Jan  3 03:10:45 2016] ata4: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[Sun Jan  3 03:10:45 2016] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[Sun Jan  3 03:10:45 2016] ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[Sun Jan  3 03:10:45 2016] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[Sun Jan  3 03:10:45 2016] ata4.00: ATA-8: Hitachi HDS721010CLA332, JP4OA3MA, max UDMA/133
[Sun Jan  3 03:10:45 2016] ata4.00: 1953525168 sectors, multi 16: LBA48 NCQ (depth 31/32), AA
[Sun Jan  3 03:10:45 2016] ata3.00: ATA-8: Hitachi HDS721010CLA332, JP4OA3MA, max UDMA/133
[Sun Jan  3 03:10:45 2016] ata3.00: 1953525168 sectors, multi 16: LBA48 NCQ (depth 31/32), AA
[Sun Jan  3 03:10:45 2016] ata2.00: ATA-8: Hitachi HDS721010CLA332, JP4OA3MA, max UDMA/133
[Sun Jan  3 03:10:45 2016] ata2.00: 1953525168 sectors, multi 16: LBA48 NCQ (depth 31/32), AA
[Sun Jan  3 03:10:45 2016] ata1.00: ATA-8: Hitachi HDS721010CLA332, JP4OA3MA, max UDMA/133
[Sun Jan  3 03:10:45 2016] ata1.00: 1953525168 sectors, multi 16: LBA48 NCQ (depth 31/32), AA
[Sun Jan  3 03:10:45 2016] ata3.00: configured for UDMA/133
[Sun Jan  3 03:10:45 2016] ata4.00: configured for UDMA/133
[Sun Jan  3 03:10:45 2016] ata2.00: configured for UDMA/133
[Sun Jan  3 03:10:45 2016] ata1.00: configured for UDMA/133
[Sun Jan  3 03:10:45 2016] Write protecting the kernel read-only data: 12288k
[Sun Jan  3 03:10:46 2016] scsi host4: pata_atiixp
[Sun Jan  3 03:10:46 2016] scsi host5: pata_atiixp
[Sun Jan  3 03:10:46 2016] ata5: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0xff00 irq 14
[Sun Jan  3 03:10:46 2016] ata6: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0xff08 irq 15
[Sun Jan  3 03:10:46 2016] ata5.00: ATA-8: Hitachi HDS721010CLA330, JP4OA3MA, max UDMA/133
[Sun Jan  3 03:10:46 2016] ata5.00: 1953525168 sectors, multi 16: LBA48 NCQ (depth 0/32)
[Sun Jan  3 03:10:46 2016] ata5.01: ATA-8: Hitachi HDS721010CLA330, JP4OA3MA, max UDMA/133
[Sun Jan  3 03:10:46 2016] ata5.01: 1953525168 sectors, multi 16: LBA48 NCQ (depth 0/32)
[Sun Jan  3 03:10:46 2016] ata5.00: configured for UDMA/100
[Sun Jan  3 03:10:46 2016] ata5.01: configured for UDMA/100


Additional info:
On standard kernel (without Xen support) there seems to be no issue

# xl info
host                   : 
release                : 4.2.8-300.fc23.x86_64
version                : #1 SMP Tue Dec 15 16:49:06 UTC 2015
machine                : x86_64
nr_cpus                : 16
max_cpu_id             : 31
nr_nodes               : 1
cores_per_socket       : 8
threads_per_core       : 1
cpu_mhz                : 2000
hw_caps                : 178bf3ff:efd3fbff:00000000:00001300:00802001:00000000:000837ff:00000000
virt_caps              : hvm
total_memory           : 65534
free_memory            : 60725
sharing_freed_memory   : 0
sharing_used_memory    : 0
outstanding_claims     : 0
free_cpus              : 0
xen_major              : 4
xen_minor              : 5
xen_extra              : .2
xen_version            : 4.5.2
xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32 hvm-3.0-x86_32p hvm-3.0-x86_64
xen_scheduler          : credit
xen_pagesize           : 4096
platform_params        : virt_start=0xffff800000000000
xen_changeset          :
xen_commandline        : placeholder dom0_mem=4096M,max:4096M
cc_compiler            : gcc (GCC) 5.3.1 20151207 (Red Hat 5.3.1-2)
cc_compile_by          : mockbuild
cc_compile_domain      : [unknown]
cc_compile_date        : Thu Dec 17 22:26:29 UTC 2015
xend_config_format     : 4
Comment 1 Fedora End Of Life 2016-11-24 09:39:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:33:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.